<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY libnma-download-http "&gnome-download-http;/libnma/1.10/libnma-&libnma-version;.tar.xz">
  <!ENTITY libnma-download-ftp  " ">
  <!ENTITY libnma-md5sum        "71c7ce674fea1fae8f1368a7fcb6ff43">
  <!ENTITY libnma-size          "688 KB">
  <!ENTITY libnma-buildsize     "15 MB">
  <!ENTITY libnma-time          "0.1 SBU (Using parallelism=4; with test)">
]>

<sect1 id="libnma" xreflabel="libnma-&libnma-version;">
  <?dbhtml filename="libnma.html"?>


  <title>libnma-&libnma-version;</title>

  <indexterm zone="libnma">
    <primary sortas="a-libnma">libnma</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to libnma</title>

    <para>
      The <application>libnma</application> package contains an implementation
      of the <application>NetworkManager</application> GUI functions.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&libnma-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&libnma-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &libnma-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &libnma-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &libnma-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &libnma-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">libnma Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="gcr"/>,
      <xref linkend="gtk3"/>,
      <xref linkend="iso-codes"/>, and
      <xref linkend="NetworkManager"/>
    </para>

    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      <xref linkend="gtk4"/> and
      <xref linkend="vala"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <ulink url="&gnome-download-http;/mobile-broadband-provider-info">mobile-broadband-provider-info</ulink>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of libnma</title>

    <para>
      Install <application>libnma</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup ..                                \
      --prefix=/usr                           \
      --buildtype=release                     \
      -D gtk_doc=false                        \
      -D libnma_gtk4=true                     \
      -D mobile_broadband_provider_info=false &amp;&amp;
ninja</userinput></screen>

    <para>
      To test the results, issue: <command>ninja test</command>.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>ninja install</userinput></screen>
  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/meson-buildtype-release.xml"/>

    <para>
      <parameter>-D gtk_doc=false</parameter>: This parameter disables
      generating API documentation using gtk-doc. If you have
      <xref role="nodep" linkend="gtk-doc"/> installed and wish to
      generate the API documentation, omit this switch.
    </para>

    <para>
      <parameter>-D libnma_gtk4=true</parameter>: This parameter builds the
      GTK-4 version of libnma. It is needed by
      <xref linkend="gnome-control-center"/>.
    </para>

    <para>
      <parameter>-D mobile_broadband_provider_info=false</parameter>: This
      switch disables WWAN support because mobile-broadband-provider-info is
      not in BLFS. Omit this switch if you have it installed and wish to
      enable WWAN support.
    </para>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          None
        </seg>
        <seg>
          libnma.so and libnma-gtk4.so
        </seg>
        <seg>
          /usr/include/libnma
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="libnma-lib">
        <term><filename class="libraryfile">libnma.so</filename></term>
        <listitem>
          <para>
            contains the <application>NetworkManager</application> GUI library
          </para>
          <indexterm zone="libnma libnma-lib">
            <primary sortas="c-libnma">libnma.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libnma-gtk4">
        <term><filename class="libraryfile">libnma-gtk4.so</filename></term>
        <listitem>
          <para>
            contains the GTK-4 version of the
            <application>NetworkManager</application> GUI library
          </para>
          <indexterm zone="libnma libnma-gtk4">
            <primary sortas="c-libnma-gtk4">libnma-gtk4.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>
    </variablelist>
  </sect2>

</sect1>
